grk::ResSimple Struct Reference

`#include <ResSimple.h>`

Inheritance diagram for grk::ResSimple:

## Public Member Functions

| ResSimple (void)
| ResSimple (grk_rect32 *res, uint8_t numTileBandWindows, grk_rect32(&tileBand)[BAND_NUM_INDICES])
| ResSimple (grk_rect32 currentRes, bool finalResolution)
Public Member Functions inherited from grk::grk_rect< uint32_t >
| grk_rect (uint32_t origin_x0, uint32_t origin_y0, uint32_t x0, uint32_t y0, uint32_t x1, uint32_t y1)
| grk_rect (uint32_t x0, uint32_t y0, uint32_t x1, uint32_t y1)
| grk_rect (const grk_rect &rhs)
| grk_rect (const grk_rect *rhs)
| grk_rect (void)
virtual | ~grk_rect ()=default
grk_rect< uint32_t > & | setOrigin (uint32_t origx, uint32_t origy, bool absolute)
grk_rect< uint32_t > & | setOrigin (grk_rect< uint32_t > &rhs, bool absolute)
grk_rect< uint32_t > & | setOrigin (grk_rect< uint32_t > *rhs, bool absolute)
grk_rect< uint32_t > & | toRelative (void)
grk_rect< uint32_t > & | toAbsolute (void)
virtual void | print (void) const
std::string | boundsString () const
bool | valid (void) const
bool | empty (void) const
bool | contains (grk_pt< uint32_t > pt)
bool | contains (uint32_t x, uint32_t y)
grk_rect< uint32_t > & | operator= (const grk_rect< uint32_t > &rhs)
grk_rect< uint32_t > & | operator= (const grk_rect< uint32_t > *rhs)
bool | operator== (const grk_rect< uint32_t > &rhs) const
void | setRect (grk_rect< uint32_t > *rhs)
void | setRect (grk_rect< uint32_t > rhs)
grk_rect< uint32_t > | scaleDownCeil (uint32_t den) const
grk_rect< uint32_t > | scaleDownCeil (uint64_t denx, uint64_t deny) const
grk_rect< uint32_t > | scale (uint32_t scalex, uint32_t scaley) const
grk_rect< uint32_t > | scaleDown (uint64_t denx, uint64_t deny) const
grk_rect< uint32_t > | scaleDownPow2 (uint32_t powx, uint32_t powy) const
grk_rect< uint32_t > | scaleDownPow2 (grk_pt< uint32_t > pow) const
grk_rect< uint32_t > | scaleDownCeilPow2 (uint32_t power) const
grk_rect< uint32_t > | scaleDownCeilPow2 (uint32_t powx, uint32_t powy) const
grk_rect< uint32_t > | intersection (const grk_rect< uint32_t > rhs) const
grk_rect< uint32_t > | intersection (const grk_rect< uint32_t > *rhs) const
bool | isContainedIn (const grk_rect< uint32_t > rhs) const
grk_rect< uint32_t > | clip (const grk_rect< uint32_t > *rhs) const
grk_rect< uint32_t > | clip (const grk_rect< uint32_t > &rhs) const
grk_rect< uint32_t > & | clip_IN_PLACE (const grk_rect< uint32_t > &rhs)
bool | nonEmptyIntersection (const grk_rect< uint32_t > *rhs) const
grk_rect< uint32_t > | rectUnion (const grk_rect< uint32_t > *rhs) const
grk_rect< uint32_t > | rectUnion (const grk_rect< uint32_t > &rhs) const
uint64_t | area (void) const
uint32_t | width () const
uint32_t | height () const
grk_line< uint32_t > | dimX () const
grk_line< uint32_t > | dimY () const
grk_rect< uint32_t > | pan (int64_t x, int64_t y) const
grk_rect< uint32_t > & | pan_IN_PLACE (int64_t x, int64_t y)
grk_rect< uint32_t > & | grow_IN_PLACE (uint32_t boundary)
grk_rect< uint32_t > & | grow_IN_PLACE (uint32_t boundaryx, uint32_t boundaryy)
grk_rect< uint32_t > & | grow_IN_PLACE (uint32_t boundary, uint32_t maxX, uint32_t maxY)
grk_rect< uint32_t > & | grow_IN_PLACE (uint32_t boundaryx, uint32_t boundaryy, uint32_t maxX, uint32_t maxY)
grk_rect< uint32_t > & | grow_IN_PLACE (uint32_t boundary, grk_rect< uint32_t > bounds)
grk_rect< uint32_t > & | grow_IN_PLACE (uint32_t boundaryx, uint32_t boundaryy, grk_rect< uint32_t > bounds)
uint32_t | parityX (void) const
uint32_t | parityY (void) const

## Static Public Member Functions

static grk_rect32 | getBandWindow (uint8_t numDecomps, uint8_t orientation, grk_rect32 tileCompWindowUnreduced)
| Get band window (in tile component coordinates) for specified number of decompositions.

## Public Attributes

grk_rect32 | tileBand [BAND_NUM_INDICES]
uint8_t | numTileBandWindows
Public Attributes inherited from grk::grk_rect< uint32_t >
bool | absoluteCoordinates
uint32_t | origin_x0
uint32_t | origin_y0
uint32_t | x0
uint32_t | y0
uint32_t | x1
uint32_t | y1

## Constructor & Destructor Documentation

## ResSimple() [1/3]

grk::ResSimple::ResSimple | ( | void |  | ) |

inline

## ResSimple() [2/3]

grk::ResSimple::ResSimple | ( | grk_rect32 * | res,
|  | uint8_t | numTileBandWindows,
|  | grk_rect32(&) | tileBand[BAND_NUM_INDICES]
| ) |  |

inline

References grk::grk_read(), numTileBandWindows, grk::grk_rect< uint32_t >::setRect(), and tileBand.

## ResSimple() [3/3]

grk::ResSimple::ResSimple | ( | grk_rect32 | currentRes,
|  | bool | finalResolution
| ) |  |

inline

References getBandWindow(), grk::grk_read(), numTileBandWindows, grk::grk_rect< uint32_t >::setRect(), and tileBand.

## Member Function Documentation

## getBandWindow()

static grk_rect32 grk::ResSimple::getBandWindow | ( | uint8_t | numDecomps,
|  | uint8_t | orientation,
|  | grk_rect32 | tileCompWindowUnreduced
| ) |  |

inline static

Get band window (in tile component coordinates) for specified number of decompositions.

Note: if numDecomps is zero, then the band window (and there is only one) is equal to the unreduced tile component window

See table F-1 in JPEG 2000 standard

References grk::BAND_NUM_ORIENTATIONS, and grk::grk_read().

Referenced by grk::ResWindow< T >::getPaddedBandWindow(), grk::TileComponent::init(), ResSimple(), and grk::TileComponentWindowBase< T >::TileComponentWindowBase().

## Member Data Documentation

## numTileBandWindows

uint8_t grk::ResSimple::numTileBandWindows

Referenced by grk::ResWindow< T >::alloc(), ResSimple(), ResSimple(), and grk::ResWindow< T >::ResWindow().

## tileBand

grk_rect32 grk::ResSimple::tileBand[BAND_NUM_INDICES]

Referenced by ResSimple(), ResSimple(), and grk::ResWindow< T >::ResWindow().

The documentation for this struct was generated from the following file:

- ResSimple.h